Bug 1124340 - Shared disk is not cloned if it is the only disk defined on VM
Summary: Shared disk is not cloned if it is the only disk defined on VM
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-core
Version: 3.5
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 3.5.0
Assignee: Tomas Jelinek
QA Contact: Lukas Svaty
URL:
Whiteboard: virt
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-29 09:25 UTC by Eli Mesika
Modified: 2016-02-10 19:48 UTC (History)
9 users (show)

Fixed In Version: ovirt-3.5.0_rc2
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-17 12:40:19 UTC
oVirt Team: Virt


Attachments (Terms of Use)
VM1 disks (26.43 KB, image/png)
2014-07-29 09:26 UTC, Eli Mesika
no flags Details
VM1 clone disks (21.76 KB, image/png)
2014-07-29 09:26 UTC, Eli Mesika
no flags Details
VM2 disks (25.50 KB, image/png)
2014-07-29 09:26 UTC, Eli Mesika
no flags Details
VM2 clone disks (23.88 KB, image/png)
2014-07-29 09:27 UTC, Eli Mesika
no flags Details


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 31796 master MERGED core: clone vm - if the vm has only sharable disks they are not attached Never
oVirt gerrit 32673 ovirt-engine-3.5 MERGED core: clone vm - if the vm has only sharable disks they are not attached Never

Description Eli Mesika 2014-07-29 09:25:32 UTC
Description of problem:
Shared disk is not cloned if it is the only disk defined on VM

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.Create a shareable/bootable disk  
2.define two VMs VM1 and VM2 
3.attach the shared disk to VM1
4.attach the shared disk to VM2 and create another disk for this VM
5.clone VM1
6.clone VM2

Actual results:

VM1 clone have no disks while VM2 have both the shared disk and the additional 

Expected results:
VM1 clone should have the shared disk even if it is the only disk defined

Additional info:

Comment 1 Eli Mesika 2014-07-29 09:26:03 UTC
Created attachment 922087 [details]
VM1 disks

Comment 2 Eli Mesika 2014-07-29 09:26:28 UTC
Created attachment 922088 [details]
VM1 clone disks

Comment 3 Eli Mesika 2014-07-29 09:26:49 UTC
Created attachment 922089 [details]
VM2 disks

Comment 4 Eli Mesika 2014-07-29 09:27:18 UTC
Created attachment 922090 [details]
VM2 clone  disks

Comment 5 Lukas Svaty 2014-09-16 13:35:22 UTC
verified in vt3

Comment 6 Sandro Bonazzola 2014-10-17 12:40:19 UTC
oVirt 3.5 has been released and should include the fix for this issue.


Note You need to log in before you can comment on or make changes to this bug.